GET /channels/{channel_id}/feeds.{format}

mathworks.com:matlab-api

Summary: Read Channel Feeds
Operation ID: getChannelFeeds
Auth: unknown
Description

Get all feed data from a ThingSpeak channel. Supports filtering by date range, number of results, and aggregation functions.

Parameters (20)

api_key (string, query, optional)

Read API Key for private channels (required for private channels)

average (integer, query, optional)

Average values over specified number of minutes

channel_id (integer, path, required)

Channel ID for the channel of interest

days (integer, query, optional)

Number of days of data to retrieve

end (string, query, optional)

End date/time for data retrieval

format (string, path, required)

Response format (json, xml, or csv)

Constraints: {'enum': ['json', 'xml', 'csv']}

location (boolean, query, optional)

Include location data in response

max (number, query, optional)

Maximum value filter

median (integer, query, optional)

Median values over specified number of minutes

metadata (boolean, query, optional)

Include metadata in response

min (number, query, optional)

Minimum value filter

minutes (integer, query, optional)

Number of minutes of data to retrieve

offset (integer, query, optional)

Offset for pagination

results (integer, query, optional)

Number of entries to retrieve (max 8000). Has highest precedence for aggregation queries.

Constraints: {'maximum': 8000}

round (integer, query, optional)

Number of decimal places to round values

start (string, query, optional)

Start date/time for data retrieval (e.g., 2024-01-01 10:10:10)

status (boolean, query, optional)

Include status updates in feed

sum (integer, query, optional)

Sum values over specified number of minutes

timescale (integer, query, optional)

Time scale for data aggregation (in minutes)

timezone (string, query, optional)

Time zone for date/time parameters

No probe data for this endpoint yet.